Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## UI
Class GEVAFitness

    java.lang.Object
      UI.GEVAFitness

    public class GEVAFitness

extends java.lang.Object

Store stuff about each fitness function. This class is populated by initialiseFFConfig* in GEVAPropertiesGUI and stored in GEVAPropertiesGUI.fitnessDetails which is a hash map that maps the fitness function (by class name) to these details

Author:
  eliott bartley

Nested Class Summary
`static class` | `GEVAFitness.FitnessCommands`
`static class` | `GEVAFitness.Names`

Field Summary
`static GEVAFitness.FitnessCommands` | `fitnessCommands` Store list of additional commands to pass on the command line when running GEVA using this fitness function
`java.lang.String` | `grammarFile` Default grammar file associated with this fitness function
`GEVAFitness.Names` | `names` Names of the jar class paths that are associated with this fitness function

Constructor Summary
`GEVAFitness()`

Method Summary
`java.lang.String` | `getCmd()`
`java.lang.String` | `getJar()` Get all the jar files in the collection of jars by name, but also the collection of names, and also the global class path specified on the command line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### grammarFile

    public java.lang.String grammarFile

  Default grammar file associated with this fitness function

### names

    public GEVAFitness.Names names

  Names of the jar class paths that are associated with this fitness function

### fitnessCommands

    public static GEVAFitness.FitnessCommands fitnessCommands

  Store list of additional commands to pass on the command line when running GEVA using this fitness function

Constructor Detail

### GEVAFitness

    public GEVAFitness()

Method Detail

### getJar

    public java.lang.String getJar()

  Get all the jar files in the collection of jars by name, but also the collection of names, and also the global class path specified on the command line. This can be cancelled if the list of jars is still being populated by the GEVAJarHunter

  Returns:
    null if cancelled, else string containing all jar files or empty string if there are no jar files

### getCmd

    public java.lang.String getCmd()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD